Endpoints挑战
获取挑战状态
返回挑战的结果,是等待监护人操作期间用于轮询的接口。 请在 `/age-gate/check` 返回 `CHALLENGE` 之后调用。一旦返回 `PASS`,接着调用 `/session/get` 读取此时已为 `ACTIVE` 的会话及其授予的权限。`FAIL` 表示挑战已终结,不会再有进展。
Authorization
api-key AuthorizationBearer <token>
In: header
Query Parameters
challengeId*string
挑战的ID
Match
^[A-z0-9]{8}-[A-z0-9]{4}-[A-z0-9]{4}-[A-z0-9]{4}-[A-z0-9]{12}$Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/challenge/get-status?challengeId=ae6d4729-af32-42ea-8ef2-ff46c7664802"{ "status": "PASS", "sessionId": "b1a6482d-5242-4b4a-aa88-3fa52595a672", "approverEmail": "user@example.com"}{ "error": "NOT_FOUND", "errorMessage": "Challenge not found"}